Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class DelegatingResultList<T>

    java.lang.Object
      org.apache.openjpa.kernel.DelegatingResultList<T>

All Implemented Interfaces:
  Serializable, Iterable<T>, Collection<T>, List<T>, ResultList<T>, Closeable

    public class DelegatingResultList<T>

extends Object
implements ResultList<T>

Delegating result list that can also perform exception translation for use in facades.

Since:
  0.4.0
Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Nested Class Summary
`class` | `DelegatingResultList.DelegatingListIterator<T>` Delegating iterator that also performs exception translation.

Constructor Summary
`DelegatingResultList(ResultList<T> list)` Constructor; supply delegate.
`DelegatingResultList(ResultList<T> list, RuntimeExceptionTranslator trans)` Constructor; supply delegate and exception translator.

Method Summary
`void` | `add(int index, T element)`
`boolean` | `add(T o)`
`boolean` | `addAll(Collection<? extends T> c)`
`boolean` | `addAll(int index, Collection<? extends T> c)`
`void` | `clear()`
`void` | `close()` Close the list.
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`boolean` | `equals(Object other)`
`T` | `get(int index)`
`ResultList<T>` | `getDelegate()` Return the direct delegate.
`ResultList<T>` | `getInnermostDelegate()` Return the native delegate.
`Object` | `getUserObject()` Get the opaque user object attached to this receiver.
`int` | `hashCode()`
`int` | `indexOf(Object o)`
`boolean` | `isClosed()` Returns true if the list has been closed.
`boolean` | `isEmpty()`
`boolean` | `isProviderOpen()` Returns true if the provider backing this list is open.
`Iterator<T>` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator<T>` | `listIterator()`
`ListIterator<T>` | `listIterator(int index)`
`T` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`T` | `set(int index, T element)`
`void` | `setUserObject(Object opaque)` Set the opaque user object to this receiver.
`int` | `size()`
`List<T>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`
`protected RuntimeException` | `translate(RuntimeException re)` Translate the OpenJPA exception.
`Object` | `writeReplace()` Writes delegate, which may in turn write a normal list.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingResultList

    public DelegatingResultList(ResultList<T> list)

  Constructor; supply delegate.

### DelegatingResultList

    public DelegatingResultList(ResultList<T> list,
                                RuntimeExceptionTranslator trans)

  Constructor; supply delegate and exception translator.

Method Detail

### getDelegate

    public ResultList<T> getDelegate()

  Return the direct delegate.

### getInnermostDelegate

    public ResultList<T> getInnermostDelegate()

  Return the native delegate.

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  Writes delegate, which may in turn write a normal list.

  Throws:
    `ObjectStreamException`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<T>`
  Specified by:
    `hashCode` in interface `List<T>`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Specified by:
    `equals` in interface `Collection<T>`
  Specified by:
    `equals` in interface `List<T>`
  Overrides:
    `equals` in class `Object`

### translate

    protected RuntimeException translate(RuntimeException re)

  Translate the OpenJPA exception.

### isProviderOpen

    public boolean isProviderOpen()

  Description copied from interface: `ResultList`
  Returns true if the provider backing this list is open.

  Specified by:
    `isProviderOpen` in interface `ResultList<T>`

### getUserObject

    public Object getUserObject()

  Description copied from interface: `ResultList`
  Get the opaque user object attached to this receiver.

  Specified by:
    `getUserObject` in interface `ResultList<T>`

### setUserObject

    public void setUserObject(Object opaque)

  Description copied from interface: `ResultList`
  Set the opaque user object to this receiver.

  Specified by:
    `setUserObject` in interface `ResultList<T>`

### close

    public void close()

  Description copied from interface: `ResultList`
  Close the list.

  Specified by:
    `close` in interface `ResultList<T>`
  Specified by:
    `close` in interface `Closeable`

### isClosed

    public boolean isClosed()

  Description copied from interface: `ResultList`
  Returns true if the list has been closed.

  Specified by:
    `isClosed` in interface `ResultList<T>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<T>`
  Specified by:
    `size` in interface `List<T>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<T>`
  Specified by:
    `isEmpty` in interface `List<T>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<T>`
  Specified by:
    `contains` in interface `List<T>`

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`
  Specified by:
    `iterator` in interface `Collection<T>`
  Specified by:
    `iterator` in interface `List<T>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<T>`
  Specified by:
    `toArray` in interface `List<T>`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection<T>`
  Specified by:
    `toArray` in interface `List<T>`

### add

    public boolean add(T o)

  Specified by:
    `add` in interface `Collection<T>`
  Specified by:
    `add` in interface `List<T>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<T>`
  Specified by:
    `remove` in interface `List<T>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<T>`
  Specified by:
    `containsAll` in interface `List<T>`

### addAll

    public boolean addAll(Collection<? extends T> c)

  Specified by:
    `addAll` in interface `Collection<T>`
  Specified by:
    `addAll` in interface `List<T>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends T> c)

  Specified by:
    `addAll` in interface `List<T>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<T>`
  Specified by:
    `removeAll` in interface `List<T>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<T>`
  Specified by:
    `retainAll` in interface `List<T>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<T>`
  Specified by:
    `clear` in interface `List<T>`

### get

    public T get(int index)

  Specified by:
    `get` in interface `List<T>`

### set

    public T set(int index,
                 T element)

  Specified by:
    `set` in interface `List<T>`

### add

    public void add(int index,
                    T element)

  Specified by:
    `add` in interface `List<T>`

### remove

    public T remove(int index)

  Specified by:
    `remove` in interface `List<T>`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List<T>`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List<T>`

### listIterator

    public ListIterator<T> listIterator()

  Specified by:
    `listIterator` in interface `List<T>`

### listIterator

    public ListIterator<T> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<T>`

### subList

    public List<T> subList(int fromIndex,
                           int toIndex)

  Specified by:
    `subList` in interface `List<T>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.